Index: src/include/spf_server.h
--- src/include/spf_server.h.orig	2004-09-29 12:33:09 +0200
+++ src/include/spf_server.h	2005-11-14 19:44:48 +0100
@@ -20,7 +20,6 @@
 
 #include "spf_record.h"
 #include "spf_dns.h"
-#include "spf_dns_internal.h"
 
 #ifndef SPF_MAX_DNS_MECH
 /* It is a bad idea to change this for two reasons.
Index: src/libspf2/spf_dns_resolv.c
--- src/libspf2/spf_dns_resolv.c.orig	2005-02-19 03:38:12 +0100
+++ src/libspf2/spf_dns_resolv.c	2005-11-14 19:47:02 +0100
@@ -77,7 +77,9 @@
 static void
 SPF_dns_resolv_thread_term(void *arg)
 {
+#if HAVE_DECL_RES_NINIT
 	res_nclose( (struct __res_state *)arg );
+#endif
 	free(arg);
 }
 
@@ -144,9 +146,15 @@
 	if (res_spec == NULL) {
 		res_state = (struct __res_state *)
 						malloc(sizeof(struct __res_state));
+#if HAVE_DECL_RES_NINIT
 		if (res_ninit(res_state) != 0) {
 			SPF_error("Failed to call res_ninit()");
 		}
+#else
+		if (res_init() != 0) {
+			SPF_error("Failed to call res_init()");
+		}
+#endif
 		pthread_setspecific(res_state_key, (void *)res_state);
 	}
 	else {
Index: src/libspf2/spf_dns_rr.c
--- src/libspf2/spf_dns_rr.c.orig	2005-02-22 02:42:34 +0100
+++ src/libspf2/spf_dns_rr.c	2005-11-14 19:48:05 +0100
@@ -45,7 +45,7 @@
 				const char *domain)
 {
 	return SPF_dns_rr_new_init(spf_dns_server,
-					domain, ns_t_any, 0, NXDOMAIN);
+					domain, ns_t_any, 0, HOST_NOT_FOUND);
 }
 
 SPF_dns_rr_t *
Index: src/libspf2/spf_request.c
--- src/libspf2/spf_request.c.orig	2005-02-22 03:38:57 +0100
+++ src/libspf2/spf_request.c	2005-11-14 19:48:36 +0100
@@ -307,6 +307,9 @@
 	char			*record;
 	size_t			 len;
 
+    if ( (spf_request == NULL) || (rcpt_to == NULL) )
+        return SPF_E_INVALID_OPT;
+
 	SPF_ASSERT_NOTNULL(spf_request);
 	spf_server = spf_request->spf_server;
 	SPF_ASSERT_NOTNULL(spf_server);
Index: src/libspf2/spf_response.c
--- src/libspf2/spf_response.c.orig	2004-10-19 16:05:19 +0200
+++ src/libspf2/spf_response.c	2005-11-14 19:49:14 +0100
@@ -132,6 +132,8 @@
 SPF_result_t
 SPF_response_result(SPF_response_t *rp)
 {
+    if (rp == NULL)
+        return SPF_RESULT_NONE;
 	return rp->result;
 }
 
Index: src/spfquery/spfquery.c
--- src/spfquery/spfquery.c.orig	2005-02-22 03:36:55 +0100
+++ src/spfquery/spfquery.c	2005-11-14 19:49:41 +0100
@@ -261,7 +261,7 @@
 response_print_errors(const char *context,
 				SPF_response_t *spf_response, SPF_errcode_t err)
 {
-	SPF_error_t		*spf_error;;
+	SPF_error_t		*spf_error;
 	int				 i;
 
 	printf("StartError\n");
